<script>
    let header = "mt-6 flex flex-col space-y-6"
    let noHeader = "mt-6 flex flex-col space-y-6"
    export let tab
</script>

<div
    id="tabs-1-panel-1"
    class="pt-10 pb-8 px-4 space-y-10"
    aria-labelledby="tabs-1-tab-1"
    role="tabpanel"
    tabindex="0">
    <div class="grid grid-cols-2 gap-x-4">
        <!--begin-->
        {#each tab.cards as card}
            <div class="group relative text-sm">
                <div
                    class="aspect-w-1 aspect-h-1 rounded-lg bg-gray-100 overflow-hidden group-hover:opacity-75">
                    <img
                        src={card.image}
                        alt={card.alt}
                        class="object-center object-cover" />
                </div>
                <a
                    href={card.link}
                    class="mt-6 block font-medium text-gray-900">
                    <span class="absolute z-10 inset-0" aria-hidden="true" />
                    {card.label}
                </a>
                <p aria-hidden="true" class="mt-1">{card.action}</p>
            </div>
        {/each}
        <!--end-->
    </div>
    {#each tab.items as item}
        <div>
            {#if item.header != null}
                <p
                    id="{item.header}-heading-mobile"
                    class="font-medium text-gray-800">
                    {item.header}
                </p>
            {/if}
            <ul
                role="list"
                aria-labelledby="{item.header}-heading-mobile"
                class={item.header != null ? header : noHeader}>
                {#each item.categories as category}
                    <li class="flow-root">
                        <a
                            href={category.link}
                            class="-m-2 p-2 block text-gray-500"
                            class:noHeaderLi={item.header === null}>
                            {category.label}
                        </a>
                    </li>
                {/each}
            </ul>
        </div>
    {/each}
</div>

<style>
    .noHeaderLi {
        @apply font-medium;
        @apply text-gray-900;
    }
</style>
